### Method

# Gtk Window is_fullscreen

#### Declaration [src]

    gboolean
    gtk_window_is_fullscreen (
      GtkWindow* window
    )

#### Description [src]

Retrieves the current fullscreen state of the window.

Note that since fullscreening is ultimately handled by the window manager and happens asynchronously to an application request, you shouldn’t assume the return value of this function changing immediately (or at all), as an effect of calling `gtk_window_fullscreen()` or `gtk_window_unfullscreen()`.

If the window isn’t yet mapped, the value returned will whether the initial requested state is fullscreen.

Gets property | `Gtk.Window:fullscreened`

#### Return value

Type: `gboolean`

Whether the window is fullscreen.